## gnome-software 40.4

=== debian/changelog ===
gnome-software (40.4-1build1) impish; urgency=medium

  * No-change rebuild for translation import to LP

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 20 Sep 2021 13:06:12 +0200

gnome-software (40.4-1) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Drop appstream from Build-Depends
    - This prevents that irrelevant translatable strings are extracted
      when building for Ubuntu (LP: #1927149).

  [ Adrian Bunk ]
  * Add mipsel to the gnome-software-plugin-flatpak architecture list

  [ Laurent Bigonville ]
  * debian/watch: Update the URL to follow the new version scheme
  * New upstream release
    - Adjust the build-dependencies
    - Fix the installation paths of the plugins, they have moved to another
      directory. Also remove deprecated rules and options
    - Install the new libgnomesoftware private library in the main package
  * debian/rules: Enable the apt URL handler in the .desktop file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Sep 2021 10:09:53 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               libappstream-dev (>= 0.14.0),
               libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libfwupd-dev (>= 1.0.3) [linux-any],
               libglib2.0-dev (>= 2.56.0),
               libgnome-desktop-3-dev (>= 3.18.0),
               libgoa-1.0-dev,
               libgspell-1-dev,
               libgtk-3-dev (>= 3.22.4),
               libgudev-1.0-dev [linux-any],
               libhandy-1-dev (>= 1.0.2),
               libjson-glib-dev (>= 1.2.0),
               libostree-dev [linux-any],
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libpackagekit-glib2-dev (>= 1.1.11),
               libpolkit-gobject-1-dev,
               libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup2.4-dev (>= 2.52.0),
               libxml2-utils,
               libxmlb-dev (>= 0.1.7),
               meson (>= 0.47),
               pkg-config,
               policykit-1,
               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
               xsltproc
Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup2.4-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://wiki.gnome.org/Apps/Software
X-Ubuntu-Use-Langpack: yes

Package: gnome-software
Architecture: any
Depends: appstream,
         apt-config-icons,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         libgtk3-perl,
         packagekit (>= 1.1.11),
         software-properties-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: sessioninstaller
Recommends: fwupd [linux-any], ${plugin:Recommends}
Suggests: apt-config-icons-hidpi,
          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
          ${plugin:Suggests}
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-flatpak
Architecture: amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x
Depends: flatpak,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
         snapd [amd64 arm64 armel armhf i386 ppc64el],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-glib-dev (>= 0.7.14),
         libglib2.0-dev (>= 2.56.0),
         libgtk-3-dev (>= 3.22.4),
         libsoup2.4-dev (>= 2.52.0),
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

GS_CONFIGURE_FLAGS = \
	-Dgsettings_desktop_schemas=enabled \
	-Dodrs=true \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dapt=true \

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Dfwupd=false \
	-Dflatpak=false \
	-Dgudev=false \
	-Dmalcontent=false \
	-Dvalgrind=false

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
	endif

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Dgudev=true
	
	# Enable fwupd support on Linux
	GS_CONFIGURE_FLAGS += -Dfwupd=true

	# Enable snap support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dsnap=true
	endif

	# Enable valgrind support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dvalgrind=true
	endif
endif

DISTRO_ID = debian
FREE_REPOS = \'@DISTRO@-*-main\'
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

override_dh_installgsettings:
	sed "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
	dh_installgsettings

override_dh_install:
	# Remove unused files
	rm -f debian/tmp/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
	dh_install

override_dh_missing:
	dh_missing --fail-missing

	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

# DISABLED
override_dh_auto_test:

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
else
	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
endif

override_dh_clean:
	rm -f debian/gnome-software.gsettings-override
	dh_clean

## gnome-software 41.0

=== debian/changelog ===
gnome-software (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Adjust the build-dependencies
  * d/p/01_details-Use-custom-icon-for-verified-developers.patch: Refreshed
  * debian/rules: Odrs support is not an optional plugin anymore, remove the
    option
  * Fix installation and dependency detection of libgnomesoftware private
    library
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Oct 2021 09:57:51 +0200

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
                libfwupd-dev (>= 1.0.3) [linux-any],
                libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev (>= 3.18.0),
-               libgoa-1.0-dev,
                libgspell-1-dev,
                libgtk-3-dev (>= 3.22.4),
                libgudev-1.0-dev [linux-any],
-               libhandy-1-dev (>= 1.0.2),
+               libhandy-1-dev (>= 1.2.0),
                libjson-glib-dev (>= 1.2.0),
                libostree-dev [linux-any],
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
@@ -42,7 +41,7 @@
                      libjson-glib-doc <!nodoc>,
                      libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://wiki.gnome.org/Apps/Software

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 GS_CONFIGURE_FLAGS = \
 	-Dgsettings_desktop_schemas=enabled \
-	-Dodrs=true \
 	-Dpackagekit=true \
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
@@ -87,6 +86,9 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgs_plugin
 
+override_dh_shlibdeps:
+	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/
+
 # DISABLED
 override_dh_auto_test:

## gnome-software 41.1

=== debian/changelog ===
gnome-software (41.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Tweak of d/copyright including a lintian override

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 21 Nov 2021 14:10:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                docbook-xsl,
                gnome-pkg-tools (>= 0.10),

## gnome-software 41.2

=== debian/changelog ===
gnome-software (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 06 Dec 2021 21:13:27 -0500

## gnome-software 41.3

=== debian/changelog ===
gnome-software (41.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Add -Wl,-z,defs to our LDFLAGS

  [ Philip Withnall ]
  * debian/control: Fix -dev package pulling in libappstream-glib-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 08:10:02 -0500

## gnome-software 41.4

=== debian/changelog ===
gnome-software (41.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 11:56:04 -0500

## gnome-software 41.5

=== debian/changelog ===
gnome-software (41.5-2ubuntu2) jammy; urgency=medium

  * Bug-fix release
    Use manual & auto install statuses to allow a deb package to be
    uninstalled (LP: #1969303)
    02_check_to_use_manual_auto_statuses.patch
  * Packaging changes
    d/control update maintainers

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 20 Jul 2022 13:59:04 +0100

gnome-software (41.5-2) unstable; urgency=medium

  * Fix verified-developers icon patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 09:58:25 -0400

gnome-software (41.5-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:21:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                libappstream-dev (>= 0.14.0),
@@ -42,8 +43,10 @@
                      libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software/-/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git -b ubuntu/jammy
 Homepage: https://wiki.gnome.org/Apps/Software
 X-Ubuntu-Use-Langpack: yes
 
@@ -128,7 +131,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libappstream-glib-dev (>= 0.7.14),
+Depends: libappstream-dev (>= 0.14.0),
          libglib2.0-dev (>= 2.56.0),
          libgtk-3-dev (>= 3.22.4),
          libsoup2.4-dev (>= 2.52.0),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 # Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
@@ -58,7 +58,7 @@
 endif
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

## gnome-software 42.0

=== debian/changelog ===
gnome-software (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK4 and libadwaita
  * Build with libsoup2 for now
  * debian/control.in: Bump minimum dependencies to match meson.build
  * debian/control.in: Update gnome-software-dev depends per its pkgconfig
  * debian/gnome-software-common.install: Update for no longer installed file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:02:40 -0400

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,21 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
+               libadwaita-1-dev (>= 1.0.1),
                libappstream-dev (>= 0.14.0),
-               libflatpak-dev (>= 1.0.4) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
-               libfwupd-dev (>= 1.0.3) [linux-any],
+               libflatpak-dev (>= 1.9.1) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libfwupd-dev (>= 1.5.6) [linux-any],
                libglib2.0-dev (>= 2.56.0),
-               libgnome-desktop-3-dev (>= 3.18.0),
-               libgspell-1-dev,
-               libgtk-3-dev (>= 3.22.4),
+               libgtk-4-dev (>= 4.6),
                libgudev-1.0-dev [linux-any],
-               libhandy-1-dev (>= 1.2.0),
-               libjson-glib-dev (>= 1.2.0),
+               libjson-glib-dev (>= 1.6.0),
                libostree-dev [linux-any],
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libpackagekit-glib2-dev (>= 1.1.11),
@@ -31,7 +28,7 @@
                libsoup2.4-dev (>= 2.52.0),
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
-               meson (>= 0.47),
+               meson (>= 0.55.0),
                pkg-config,
                policykit-1,
                valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
@@ -43,10 +40,8 @@
                      libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software/-/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://wiki.gnome.org/Apps/Software
 X-Ubuntu-Use-Langpack: yes
 
@@ -133,8 +128,12 @@
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
          libglib2.0-dev (>= 2.56.0),
-         libgtk-3-dev (>= 3.22.4),
+         libgtk-4-dev (>= 4.6),
+         libjson-glib-dev (>= 1.6.0),
+         libpolkit-gobject-1-dev,
          libsoup2.4-dev (>= 2.52.0),
+         libxmlb-dev (>= 0.1.7),
+         valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
          ${misc:Depends}
 Suggests: gnome-software-doc
 Description: Software Center for GNOME - development files

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
 	-Dapt=true \
+	-Dsoup2=true \
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \

## gnome-software 42.1

=== debian/changelog ===
gnome-software (42.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick proposed patch to fix inability to remove apps (LP: #1969303)
  * debian/gnome-software-common.install: Install usr/share/swcatalog
    instead of usr/share/app-info

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 May 2022 12:16:07 -0400

## gnome-software 42.2

=== debian/changelog ===
gnome-software (42.2-1) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release
  * Revert "Cherry-pick proposed patch to fix inability to remove apps":
    applied in new release

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 11:47:21 -0300

## gnome-software 42.3

=== debian/changelog ===
gnome-software (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 23:04:45 +0200

## gnome-software 42.4

=== debian/changelog ===
gnome-software (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:16:30 -0400

## gnome-software 43~beta

=== debian/changelog ===
gnome-software (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete valgrind dependency
  * Build-Depend on appstream for build tests
  * debian/control.in: Build-Depend on libglib-testing-0-dev
  * Update list of architectures where we try to build the Flatpak plugin
  * Add patch to allow building the Flatpak plugin with libsoup3
  * Add proposed patch to allow building the Snap plugin with libsoup3
  * Keep building with libsoup2 until we are ready for the librest transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 07:31:49 -0400

=== debian/control ===
--- 
+++ 
@@ -6,32 +6,33 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               appstream <!nocheck>,
                dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                libadwaita-1-dev (>= 1.0.1),
                libappstream-dev (>= 0.14.0),
-               libflatpak-dev (>= 1.9.1) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib2.0-dev (>= 2.56.0),
+               libglib-testing-0-dev,
                libgtk-4-dev (>= 4.6),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
-               libostree-dev [linux-any],
+               libostree-dev (>= 2022.5-2~) [linux-any],
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
-               libsnapd-glib-dev (>= 1.54) [amd64 arm64 armel armhf i386 ppc64el s390x],
+               libsnapd-glib-dev (>= 1.60) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup2.4-dev (>= 2.52.0),
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.55.0),
                pkg-config,
                policykit-1,
-               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
 Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
@@ -59,7 +60,7 @@
 Conflicts: sessioninstaller
 Recommends: fwupd [linux-any], ${plugin:Recommends}
 Suggests: apt-config-icons-hidpi,
-          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
           ${plugin:Suggests}
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
@@ -86,8 +87,8 @@
  This package contains the architecture-independent files.
 
 Package: gnome-software-plugin-flatpak
-Architecture: amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x
-Depends: flatpak,
+Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32
+Depends: flatpak (>= 1.14.0),
          gnome-software (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -131,9 +132,8 @@
          libgtk-4-dev (>= 4.6),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
-         libsoup2.4-dev (>= 2.52.0),
+         libsoup2.4-dev,
          libxmlb-dev (>= 0.1.7),
-         valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
          ${misc:Depends}
 Suggests: gnome-software-doc
 Description: Software Center for GNOME - development files

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,11 @@
 	-Dfwupd=false \
 	-Dflatpak=false \
 	-Dgudev=false \
-	-Dmalcontent=false \
-	-Dvalgrind=false
+	-Dmalcontent=false
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures
-	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
 		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
 	endif
 
@@ -37,11 +36,6 @@
 	# Enable snap support on supported architectures
 	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
 		GS_CONFIGURE_FLAGS += -Dsnap=true
-	endif
-
-	# Enable valgrind support on supported architectures
-	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Dvalgrind=true
 	endif
 endif

## gnome-software 43~rc

=== debian/changelog ===
gnome-software (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.70.0
  * Drop libsoup3 patches: applied in new release
  * Build for libsoup3 on Ubuntu because it has the new snapd-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 09:46:45 -0400

=== debian/control ===
--- 
+++ 
@@ -17,17 +17,16 @@
                libappstream-dev (>= 0.14.0),
                libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
-               libglib2.0-dev (>= 2.56.0),
+               libglib2.0-dev (>= 2.70.0),
                libglib-testing-0-dev,
                libgtk-4-dev (>= 4.6),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
                libostree-dev (>= 2022.5-2~) [linux-any],
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.60) [amd64 arm64 armel armhf i386 ppc64el s390x],
-               libsoup2.4-dev (>= 2.52.0),
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.55.0),
@@ -38,7 +37,8 @@
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
-                     libsoup2.4-doc <!nodoc>
+                     libsoup2.4-doc <!nodoc>,
+                     libsoup-3.0-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
@@ -128,11 +128,12 @@
 Architecture: any
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
-         libglib2.0-dev (>= 2.56.0),
+         libglib2.0-dev (>= 2.70.0),
          libgtk-4-dev (>= 4.6),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
          libsoup2.4-dev,
+         libsoup-3.0-dev,
          libxmlb-dev (>= 0.1.7),
          ${misc:Depends}
 Suggests: gnome-software-doc

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,12 @@
 	-Dpackagekit=true \
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
-	-Dapt=true \
-	-Dsoup2=true \
+	-Dapt=true
+
+# Temporarily keep building with libsoup2 until we get the new snapd-glib
+ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	GS_CONFIGURE_FLAGS= -Dsoup2=true
+endif
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \

## gnome-software 43.0

=== debian/changelog ===
gnome-software (43.0-1ubuntu1) kinetic; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 14:44:58 -0400

gnome-software (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 07:52:43 -0400

gnome-software (43~rc-2) unstable; urgency=medium

  * debian/control.in: Explicitly Build-Depend on libsoup

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 21:51:20 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
@@ -27,6 +28,8 @@
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.60) [amd64 arm64 armel armhf i386 ppc64el s390x],
+               libsoup2.4-dev (>= 2.52.0),
+               libsoup-3.0-dev,
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.55.0),

## gnome-software 43.1

=== debian/changelog ===
gnome-software (43.1-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Nov 2022 10:51:36 -0500

gnome-software (43.1-2) unstable; urgency=medium

  * Restore accidentally dropped 43.0-2 changes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Nov 2022 10:48:34 -0500

gnome-software (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 08:48:46 -0500

gnome-software (43.0-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Replace transitional policykit-1 with polkitd.
    pkexec is used in a couple of places, but neither is relevant to Debian:
    we don't enable support for external AppStream metadata, and we don't
    install a Fedora-specific plugin.
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 10:27:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                dh-sequence-gnome,
@@ -34,7 +34,7 @@
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.55.0),
                pkg-config,
-               policykit-1,
+               polkitd,
                xsltproc
 Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
@@ -43,7 +43,7 @@
                      libsoup2.4-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://wiki.gnome.org/Apps/Software

## gnome-software 43.2

=== debian/changelog ===
gnome-software (43.2-3ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 19:03:22 -0500

gnome-software (43.2-3) unstable; urgency=medium

  * Restore explicit Build-Depends on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 19:02:19 -0500

gnome-software (43.2-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 18:12:55 -0500

gnome-software (43.2-2) unstable; urgency=medium

  * Build against snapd-glib 1.63 using libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 18:11:05 -0500

gnome-software (43.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 08:50:41 -0500

gnome-software (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 08:48:10 -0500

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,7 @@
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libpackagekit-glib2-dev (>= 1.1.11),
                libpolkit-gobject-1-dev,
-               libsnapd-glib-dev (>= 1.60) [amd64 arm64 armel armhf i386 ppc64el s390x],
-               libsoup2.4-dev (>= 2.52.0),
+               libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup-3.0-dev,
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
@@ -135,7 +134,6 @@
          libgtk-4-dev (>= 4.6),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
-         libsoup2.4-dev,
          libsoup-3.0-dev,
          libxmlb-dev (>= 0.1.7),
          ${misc:Depends}

## gnome-software 43.3

=== debian/changelog ===
gnome-software (43.3-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:15:50 -0500

gnome-software (43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:14:13 -0500

## gnome-software 43.5

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gsettings_desktop_schemas', type : 'feature', value : 'enabled', description : 'enable integration with GNOME desktop preferences')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('eos_updater', type : 'boolean', value : false, description : 'enable eos-updater support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('malcontent', type : 'boolean', value : true, description : 'enable parental controls support using libmalcontent')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('hardcoded_foss_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable FOSS webapps')
option('hardcoded_proprietary_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable proprietary webapps')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('apt', type : 'boolean', value : false, description : 'enable apt: URL handler in the .desktop file')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
option('hardcoded_curated', type : 'boolean', value : true, description : 'enable installation of default curated apps list')
option('default_featured_apps', type : 'boolean', value : true, description : 'enable installation of default featured apps list')
option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')
option('sysprof', type : 'feature', value : 'auto', description : 'enable sysprof-capture support for profiling')
option('profile', type : 'string', value : '', description : 'Build with specified application ID')
option('soup2', type : 'boolean', value : false, description : 'build with libsoup2')

=== debian/changelog ===
gnome-software (43.5-1~deb12u1) bookworm; urgency=medium

  * Team upload
  * Rebuild for Debian 12

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Jun 2023 11:33:47 +0100

gnome-software (43.5-1) unstable; urgency=medium

  * d/gbp.conf: Use upstream/43.x branch to import new upstream versions
  * d/watch: Only watch for versions 43.x
  * New upstream release 43.5
    - Fix some memory leaks (Closes: #1036312)
  * Refresh patch series (no functional changes)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Jun 2023 10:25:39 +0100

gnome-software (43.4-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed.
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 13:27:14 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
@@ -42,9 +41,9 @@
                      libsoup2.4-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git -b debian/bookworm
 Homepage: https://wiki.gnome.org/Apps/Software
 X-Ubuntu-Use-Langpack: yes

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,6 @@
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
 	-Dapt=true
-
-# Temporarily keep building with libsoup2 until we get the new snapd-glib
-ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	GS_CONFIGURE_FLAGS= -Dsoup2=true
-endif
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \

## gnome-software 44.0

=== debian/changelog ===
gnome-software (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 15:00:11 -0400

gnome-software (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 14:48:10 -0400

gnome-software (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4, libadwaita, and packagekit
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 13:37:00 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
@@ -13,18 +14,18 @@
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
-               libadwaita-1-dev (>= 1.0.1),
+               libadwaita-1-dev (>= 1.3~alpha),
                libappstream-dev (>= 0.14.0),
                libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib2.0-dev (>= 2.70.0),
                libglib-testing-0-dev,
-               libgtk-4-dev (>= 4.6),
+               libgtk-4-dev (>= 4.9.2),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
                libostree-dev (>= 2022.5-2~) [linux-any],
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
-               libpackagekit-glib2-dev (>= 1.1.11),
+               libpackagekit-glib2-dev (>= 1.2.5),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup-3.0-dev,
@@ -42,8 +43,8 @@
                      libsoup-3.0-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://wiki.gnome.org/Apps/Software
 X-Ubuntu-Use-Langpack: yes
 
@@ -54,7 +55,7 @@
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
          libgtk3-perl,
-         packagekit (>= 1.1.11),
+         packagekit (>= 1.2.5),
          software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -130,7 +131,7 @@
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
          libglib2.0-dev (>= 2.70.0),
-         libgtk-4-dev (>= 4.6),
+         libgtk-4-dev (>= 4.9.2),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
          libsoup-3.0-dev,

## gnome-software 44.1

=== debian/changelog ===
gnome-software (44.1-1ubuntu2) mantic; urgency=medium

  * No-change rebuild for translations
    - Due to the change in dh-translations 153 this results in a
      smaller POT file being generated and imported to Launchpad, where
      the strings in the <releases/> section of
      org.gnome.Software.metainfo.xml are omitted (LP: #1927149).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 24 May 2023 19:46:48 +0200

gnome-software (44.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jarred Wilson <jarred.wilson@canonical.com>  Thu, 11 May 2023 11:25:08 -0400

gnome-software (44.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix firmware updates state change after update
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2112)
    - Fix origin reference information for PackageKit apps
    - Fix a crash after dismissing firmware update warning dialog
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2130)
    - Fix a crash on repo removal

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 26 Apr 2023 13:51:16 -0400
